# Enrol a user device for authentication using push notifications

This is the first step in enrolling the logged-in user's mobile device, where a push notification is sent to the device.

Endpoint: POST /authentication_factors/push/{channel}
Version: v3
Security: api-key, auth_token

## Path parameters:

  - `channel` (string, required)

## Header parameters:

  - `idempotency-ref` (string)
    A unique call reference generated by the caller that, taking into consideration the payload as well as the operation itself, helps avoid duplicate operations. Idempotency reference uniqueness is maintained for at least 24 hours.

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "STEP_UP_REQUIRED", "ACCESS_TOKEN_REQUIRED", "INSUFFICIENT_PERMISSIONS"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "CHANNEL_NOT_SUPPORTED", "CHANNEL_NOT_READY", "CHANNEL_ALREADY_REGISTERED", "MOBILE_NUMBER_NOT_AVAILABLE", "CHALLENGE_LIMIT_EXCEEDED", "PASSCODE_NOT_SET", "ENROLMENT_LIMIT_EXCEEDED", "MOBILE_COUNTRY_NOT_SUPPORTED", "TYPE_DOES_NOT_SUPPORT_ENROLMENT"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

